Package org.opensaml.saml.metadata.criteria.role.impl

# Class EvaluableEntityRoleDescriptorCriterion

java.lang.Object
org.opensaml.saml.metadata.criteria.role.impl.EvaluableEntityRoleDescriptorCriterion

All Implemented Interfaces:
  `Predicate<RoleDescriptor>`, `Criterion`, `EvaluableRoleDescriptorCriterion`

public class EvaluableEntityRoleDescriptorCriterion extends Object implements EvaluableRoleDescriptorCriterion
Implementation of `EvaluableRoleDescriptorCriterion` which evaluates that a role descriptor's type or element name (`QName` is the specified role.

## Field Summary

Fields
Modifier and Type
Field
Description
`private QName`
`role`
The entity role QName being evaluated.

## Constructor Summary

Constructors
Constructor
Description
`EvaluableEntityRoleDescriptorCriterion(QName entityRole)`
Constructor.
`EvaluableEntityRoleDescriptorCriterion(EntityRoleCriterion criterion)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`boolean`
`test(RoleDescriptor input)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### role

@Nonnull @NotEmpty private QName role
The entity role QName being evaluated.

## Constructor Details

### EvaluableEntityRoleDescriptorCriterion

public EvaluableEntityRoleDescriptorCriterion(@Nonnull EntityRoleCriterion criterion)
Constructor.

Parameters:
  `criterion` - the entity role criterion

### EvaluableEntityRoleDescriptorCriterion

public EvaluableEntityRoleDescriptorCriterion(@Nonnull QName entityRole)
Constructor.

Parameters:
  `entityRole` - the entity role QName

## Method Details

### test

public boolean test(@Nullable RoleDescriptor input)

Specified by:
  `test` in interface `Predicate<RoleDescriptor>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`